#ifndef OPIMIZER_H
#define OPTIMIZER_H

#define DEFAULTDB "hash:/etc/postfix/userdb"

#include <sys_defs.h>
#include <split_at.h>
#include <msg.h>

#ifdef USE_MAPS
# include <mkmap.h>
# define DBTYPE MKMAP
# define db_open3(scheme, database) mkmap_open(scheme, database, O_RDWR|O_CREAT, DICT_FLAG_DUP_REPLACE)
# define db_add(db, key, value) mkmap_append(db, key, value)
# define db_close(db) mkmap_close(db)
#else
# include <dict.h>
# define DBTYPE DICT
# define db_open3(scheme, database) dict_open3(scheme, database, O_RDWR|O_CREAT, DICT_FLAG_DUP_REPLACE|DICT_FLAG_LOCK)
# define db_add(db, key, value) dict_put(db, key, value)
# define db_rm(db, key) dict_del(db, key)
# define db_seq(db, flag, key, value) dict_seq(db, flag, key, value)
# define db_close(db) dict_close(db)
#endif 

extern void split_up (char *, char **, char **);
extern char * ip6to4(char *);

#endif
